Product / Content Read API

This API endpoint retrieves the details of a specific product / content using its product_id. To fetch the product / content information, make a GET request to the following URL:

Notice: Make sure the product_id is an urlencode string.

GET /v1/products/{product_id}

Replace {product_id} with the unique identifier of the product / content you wish to fetch.

Response Format

The API will return the product / content details in a JSON object if the given product_id is valid and exists in the system. The JSON object will include fields like title, description, price, images, and any internationalization fields (i18n_$LN).

Example Response

Here's an example of a successful API response for a product / content with the product_id "arizona-ginseng-honey":

{
  "product_id": "arizona-ginseng-honey",
  "title": "Arizona, Green Tea with Ginseng & Honey",
  "description": "A refreshing and delicious blend of g…",
  "price": 1.99,
  "i18n_es": {
    "title": "AriZona, Té verde con ginseng y miel"
    // ... other product details in Spanish
  },
  "i18n_fr": {
    "title": "AriZona - Thé Vert Aromatisé au Miel"
    // ... other product details in French
  },
  "i18n_zh": {
    "title": "美國ARIZONA亞歷桑納 - 蜂蜜人蔘綠茶"
    // ... other product details in Chinese
  }
}

If the provided product_id is invalid or does not exist in the system, the API will return an error response with a status_code=404.

Example Error Response

{
  "message": "not found"
}
Path Parameters
  • product_id
    Type: string · Product Id
    max length:  
    512
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/products/{product_id}
curl 'https://api.askmiso.com/v1/products/{product_id}?api_key=YOUR_SECRET_TOKEN'
{
  "message": "string",
  "data": {
    "product_id": "123ABC-S-Black",
    "product_group_id": "123ABC",
    "parent_id": "Nike_Shop_123",
    "related_ids": [
      "string"
    ],
    "type": "clothes",
    "title": "Japanese Shiba Inu Dog Eating Miso Soup T-Shirt",
    "description": "This cute Shiba inu dog eating Miso soup is perfect for those who love Japanese culture.",
    "short_description": "Cute Shiba Inu Dog Eating Miso Soup T-Shirt",
    "language": "en",
    "created_at": "2026-09-02T16:27:46.644Z",
    "published_at": "2026-09-02T16:27:46.644Z",
    "updated_at": "2026-09-02T16:27:46.644Z",
    "categories": [
      [
        "Clothing, Shoes & Jewelry",
        "Women",
        "T-Shirts"
      ],
      [
        "Novelty",
        "Tops & Tees",
        "T-Shirts"
      ]
    ],
    "tags": [
      "cute",
      "anime",
      "dogs",
      "t-shirt"
    ],
    "url": "https://example.com/miso-tshirt-123ABC",
    "cover_image": "https://example.com/miso-tshirt-123ABC.jpg",
    "original_price": 20,
    "sale_price": 15,
    "margin": 15,
    "size": "S",
    "color": "Black",
    "material": "Cotton",
    "condition": "NEW",
    "brand": "Miso Corp.",
    "authors": [
      "Andy Hsieh"
    ],
    "publishers": [
      "O'Reilly Media"
    ],
    "collections": [
      "Anime T-Shirt Collection",
      "Superhero T-Shirt Collection"
    ],
    "availability": "IN_STOCK",
    "location": [
      {
        "lat": 40.74844,
        "lon": -73.985664
      }
    ],
    "rating": 5,
    "html": "string",
    "subtitle": "string",
    "headers": [
      "string"
    ],
    "paragraphs": [
      "string"
    ],
    "anchors": [
      "string"
    ],
    "children": [
      {
        "id": "string",
        "url": "string",
        "title": "string",
        "description": "string",
        "html": "string",
        "headers": [
          "string"
        ],
        "custom_attributes": {
          "additionalProperty": true
        }
      }
    ],
    "enable_question_answering": false,
    "custom_attributes": {
      "cast": [
        "Robin Williams",
        "Jonathan Hyde"
      ],
      "director": "Joe Johnston",
      "genres": [
        "Adventure",
        "Fantasy",
        "Family"
      ],
      "popularity": 7.439,
      "adult": false
    }
  }
}